rte_vlan_hdr(3)

NAME
rte_vlan_hdr

SYNOPSIS

#include <rte_ether.h>

  Data Fields

rte_be16_t vlan_tci
rte_be16_t eth_proto

Detailed Description

Ethernet VLAN Header. Contains the 16-bit VLAN Tag Control Identifier and the Ethernet type of the encapsulated frame.

Definition at line 316 of file rte_ether.h.

Field Documentation

  rte_be16_t vlan_tci
Priority (3) + CFI (1) + Identifier Code (12)

Definition at line 317 of file rte_ether.h.

  rte_be16_t eth_proto
Ethernet type of encapsulated frame.

Definition at line 318 of file rte_ether.h.

Author

Generated automatically by Doxygen for DPDK from the source code.